List Circuits
curl --request GET \
--url 'https://api.example.com/experiments/{experiment_id}/circuits?HAIQU_API_KEY='import requests
url = "https://api.example.com/experiments/{experiment_id}/circuits?HAIQU_API_KEY="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/experiments/{experiment_id}/circuits?HAIQU_API_KEY=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"hash": "<string>",
"name": "<string>",
"creation_date": "2023-11-07T05:31:56Z",
"user_id": 123,
"experiment_id": "<string>",
"status": "Submitted",
"generated": true,
"description": "",
"tags": "",
"parameters": {},
"analytics": {
"qubits": 2,
"depth": 123,
"depth_2q": 123,
"gates_1q": 123,
"gates_2q": 123,
"gates_total": 123,
"other_ops": 123,
"num_qubits_active": 123,
"num_parameters": 123,
"other_gates": 123,
"instructions_total": 123,
"operations_counts": {},
"gate_size_distribution": {},
"gate_diversity": {},
"gate_diversity_basis_gates": {},
"gate_count_distribution": {},
"program_communication": "N/A",
"critical_depth": "N/A",
"entanglement_ratio": "N/A",
"parallelism": "N/A",
"liveness_per_qubit": "N/A",
"liveness": "N/A",
"correlation_matrix": {},
"kl_divergence": "N/A",
"entanglement_capability": "N/A",
"expressibility": "N/A",
"quantum_fisher_information_matrix": "N/A",
"circuit_normalized": "<string>"
},
"transpilation_target": "<string>",
"transpilation_options": {},
"transpiled_circuit_ids": [
"<string>"
],
"compressed_circuit_ids": [
"<string>"
],
"job_ids": [
"<string>"
],
"qpy": "<string>",
"evolution": {
"metrics": [
"<unknown>"
],
"kl_divergence": [
"<unknown>"
],
"reality_check": [
"<unknown>"
]
},
"metrics": {}
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
List Circuits
List experiment’s circuits endpoint.
Returns user’s jobs list.
Args: experiment_id: the ID of the parent experiment. user (User): User authenticated with api key. db (Session): Database session. circuit_ids (list[str] | None): When specified, filter out only specific circuits. job_type (JobType | None): When specified, filter out only circuits that belong to specific job type. limit (int): Limit the number of the circuits returned.
Returns: list: List of CircuitModel objects.
GET
/
experiments
/
{experiment_id}
/
circuits
List Circuits
Authorizations
APIKeyQueryAPIKeyHeader
Path Parameters
Query Parameters
Class for job types.
Available options:
User local job, Analytics, Device specific analytics, Data Loading, Hybrid, Run, State Compression, Transpilation, Variational, Pretraining, SKQD Required range:
1 <= x <= 1000Response
Successful Response
Class for circuit analytics calculation job status.
Available options:
Submitted, Running analytics computation, Core metrics computation is done, Advanced metrics computation is done, Parameterized QML metrics computation is done, Evolution computation is done, Done, Error Data model for circuit metrics.
Show child attributes
Show child attributes
Data model for circuit evolution.
Show child attributes
Show child attributes